Bug 1644321 - lvm scenario - stderr: Device /dev/sdb excluded by a filter
Summary: lvm scenario - stderr: Device /dev/sdb excluded by a filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Volume
Version: 3.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 3.3
Assignee: Andrew Schoen
QA Contact: ymane
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656 1726135
TreeView+ depends on / blocked
 
Reported: 2018-10-30 14:04 UTC by Vasishta
Modified: 2019-08-21 15:10 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.2.12-33.el7cp Ubuntu: ceph_12.2.12-30redhat1
Doc Type: Bug Fix
Doc Text:
.`ceph-volume` now returns a more accurate error message when deploying OSDs on devices with GPT headers The `ceph-volume` utility does not support deploying OSDs on devices with GUID Partition Table (GPT) headers. Previously, after attempting to do so, an error similar to the following one was returned: ---- Device /dev/sdb excluded by a filter ---- With this update, the `ceph-volume` utility returns a more accurate error message instructing the users to remove GPT headers: ---- GPT headers found, they must be removed on: $device_name ----
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 27062 0 None None None 2018-10-30 14:04:45 UTC
Github ceph ceph pull 25098 0 None closed ceph-volume: reject devices that have existing GPT headers 2020-11-18 19:20:31 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:10:49 UTC

Description Vasishta 2018-10-30 14:04:45 UTC
Description of problem:

While trying to bring up cluster (Using ceph-ansible) on hosts on which an existing cluster was purged, OSD creation was failed on all the nodes with stderr - 'Device /dev/sdb excluded by a filter'

How reproducible:
Not always

Steps to Reproduce:
1. Purge an existing cluster
2. Try to bring up clusters with lvm based OSDs.


Actual results:
stderr: Device /dev/sdb excluded by a filter

Expected results:
Clusters must be configured

Additional info:
Got to know that it is possible that device might have a GPT header and user needs to make sure that the device is fully wiped/zapped.

Comment 14 errata-xmlrpc 2019-08-21 15:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.